Skip to main content
POST
/
integrations
/
{integration}
/
authenticate
Authenticate integration
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/integrations/{integration}/authenticate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "business_entity_id": "<id>"
}
'
{
  "id": "<id>",
  "object": "oauth_auth_url",
  "data": {
    "authentication_url": "https://example.com/authenticate"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integration
string
required

Body

application/json
business_entity_id
string
required

Response

200 - application/json

OK

id
string
read-only

The unique identifier of the object in Nmbr.

object
string
read-only

The type of the object in Nmbr ("oauth_auth_url").

data
Integration · object